using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples.DataProviders
{
    public partial class LoadAShapeFileFeatureLayer : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("~/SampleData/world/cntry02.shp"));
                worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, GeoColor.SimpleColors.Green));
                
                LayerOverlay staticOverlay = new LayerOverlay();
                staticOverlay.IsBaseOverlay = false;
                staticOverlay.Layers.Add(worldLayer);
                staticOverlay.ClientCache.CacheId = "rigLocator_Nand_ThinkGeo";
                staticOverlay.ServerCache.CacheDirectory = MapPath("~/ImageCache/" + Request.Path);

                Map1.CustomOverlays.Add(staticOverlay);

                SimpleMarkerOverlay markerOverlay = new SimpleMarkerOverlay("MarkerOverlay");
                Map1.CustomOverlays.Add(markerOverlay);

                Marker marker1 = new Marker(new PointShape(-94.558, 39.078));
                Marker marker2 = new Marker(new PointShape(-100.558, 55.078));
                markerOverlay.Markers.Add(marker1);
                markerOverlay.Markers.Add(marker2);
            }
        }
    }
}
